[arch-commits] Commit in scrapy/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan fyan at archlinux.org
Thu Feb 4 06:03:33 UTC 2016


    Date: Thursday, February 4, 2016 @ 07:03:33
  Author: fyan
Revision: 160189

archrelease: copy trunk to community-any

Added:
  scrapy/repos/community-any/PKGBUILD
    (from rev 160188, scrapy/trunk/PKGBUILD)
Deleted:
  scrapy/repos/community-any/PKGBUILD

----------+
 PKGBUILD |   70 +++++++++++++++++++++++++++++++------------------------------
 1 file changed, 36 insertions(+), 34 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2016-02-04 06:03:13 UTC (rev 160188)
+++ PKGBUILD	2016-02-04 06:03:33 UTC (rev 160189)
@@ -1,34 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: PyroDevil <p dot devil at gmail dot com>
-# Contributor: Anibal Pacheco <apacheco.uy at gmail.com>
-
-pkgname=scrapy
-pkgver=1.0.4
-pkgrel=1
-pkgdesc="A fast high-level scraping and web crawling framework."
-arch=(any)
-license=('BSD')
-url="http://scrapy.org"
-depends=('python2-twisted' 'libxml2' 'python2-w3lib' 'python2-lxml' 'python2-six' 'python2-queuelib' 
-         'python2-setuptools' 'python2-cssselect' 'python2-pyopenssl' 'python2-service-identity')
-makedepends=('git')
-checkdepends=('python2-pytest' 'python2-mock' 'python2-boto' 'python2-pillow' 'mitmproxy')
-optdepends=('ipython2: for enhanced support of the interactive scraping shell')
-source=("git+https://github.com/scrapy/scrapy.git#tag=${pkgver}")
-md5sums=('SKIP')
-
-check() {
-  cd "${srcdir}/scrapy"
-  py.test2 tests || warning "Tests failed"
-  # Fails horribly for now. Still need to adjust.
-}
-
-package() {
-  cd "${srcdir}/scrapy"
-  python2 setup.py install -O1 --root="${pkgdir}"
-  
-  install -D -m644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
-  install -D -m644 "README.rst" "${pkgdir}/usr/share/doc/${pkgname}/README.rst"
-  install -D -m644 "docs/intro/install.rst" "${pkgdir}/usr/share/doc/${pkgname}/INSTALL.rst"
-}

Copied: scrapy/repos/community-any/PKGBUILD (from rev 160188, scrapy/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2016-02-04 06:03:33 UTC (rev 160189)
@@ -0,0 +1,36 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: PyroDevil <p dot devil at gmail dot com>
+# Contributor: Anibal Pacheco <apacheco.uy at gmail.com>
+
+pkgname=scrapy
+pkgver=1.0.5
+pkgrel=1
+pkgdesc="A fast high-level scraping and web crawling framework."
+arch=(any)
+license=('BSD')
+url="http://scrapy.org"
+depends=('python2-twisted' 'libxml2' 'python2-w3lib' 'python2-lxml' 'python2-six' 'python2-queuelib' 
+         'python2-setuptools' 'python2-cssselect' 'python2-pyopenssl' 'python2-service-identity')
+makedepends=('git')
+checkdepends=('python2-pytest' 'python2-mock' 'python2-boto' 'python2-pillow' 'python2-testfixtures' 'python2-jmespath' 'mitmproxy')
+optdepends=('ipython2: for enhanced support of the interactive scraping shell')
+source=("git+https://github.com/scrapy/scrapy.git#tag=${pkgver}")
+md5sums=('SKIP')
+
+check() {
+  cd "${srcdir}/scrapy"
+  python2 setup.py install --root="$PWD/tmp_install" --optimize=1
+
+  # https://github.com/scrapy/scrapy/pull/1757
+  PATH="$PWD/tmp_install/usr/bin:$PATH" PYTHONPATH="$PWD/tmp_install/usr/lib/python2.7/site-packages:$PYTHONPATH:$PWD" py.test2 scrapy tests || warning "Tests failed"
+}
+
+package() {
+  cd "${srcdir}/scrapy"
+  python2 setup.py install -O1 --root="${pkgdir}"
+  
+  install -D -m644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+  install -D -m644 "README.rst" "${pkgdir}/usr/share/doc/${pkgname}/README.rst"
+  install -D -m644 "docs/intro/install.rst" "${pkgdir}/usr/share/doc/${pkgname}/INSTALL.rst"
+}



More information about the arch-commits mailing list